{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/cluster/services_configuration",
  "title": "Cluster services configuration requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/cluster/services_configuration/",
  "summary": "Cluster services configuration requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "2f045a0960a06a01072920ad71f93a632821a4232c41a27cf2908a500af2e3a8",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-cluster-services_config) | `/v1/cluster/services_configuration` | Get cluster services settings |\n| [PUT](#put-cluster-services_config) | `/v1/cluster/services_configuration` | Update cluster services settings |"
    },
    {
      "id": "get-cluster-services_config",
      "title": "Get cluster services configuration",
      "role": "content",
      "text": "GET /v1/cluster/services_configuration\n\nGet cluster services settings.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_cluster_info](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_cluster_info) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/cluster/services_configuration \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a [services configuration object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/services_configuration).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |"
    },
    {
      "id": "put-cluster-services_config",
      "title": "Update cluster services configuration",
      "role": "content",
      "text": "PUT /v1/cluster/services_configuration\n\nUpdate the cluster services settings.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [update_cluster](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#update_cluster) |"
    },
    {
      "id": "put-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tPUT /v1/cluster/services_configuration \n\n#### Example JSON body\n\n[code example]\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### Request body\n\nInclude a [services configuration object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/services_configuration) with updated fields in the request body."
    },
    {
      "id": "put-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns the updated [services configuration object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/services_configuration).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "put-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |"
    }
  ],
  "examples": [
    {
      "id": "get-response-ex0",
      "language": "json",
      "code": "{\n     \"cm_server\": {\n         \"operating_mode\": \"disabled\"\n     },\n     \"mdns_server\": {\n         \"operating_mode\": \"enabled\"\n     },\n     \"// additional services...\"\n}",
      "section_id": "get-response"
    },
    {
      "id": "put-request-ex0",
      "language": "json",
      "code": "{\n     \"cm_server\": {\n         \"operating_mode\": \"disabled\"\n     },\n     \"// additional services...\"\n}",
      "section_id": "put-request"
    },
    {
      "id": "put-response-ex0",
      "language": "json",
      "code": "{\n     \"cm_server\": {\n         \"operating_mode\": \"disabled\"\n     },\n     \"mdns_server\": {\n         \"operating_mode\": \"enabled\"\n     },\n     \"// additional services...\"\n}",
      "section_id": "put-response"
    }
  ]
}
